# Generate lighter or darker version of a color

Source: `R/color.R`
`lighten_darken_color.Rd`

Produces a linear blend of the color with white or black.

    lighten_color(color_hex, strength = 0.7)

    darken_color(color_hex, strength = 0.8)

## Arguments

color_hex | A character string representing a hex color
strength | The "strength" of the blend with white or black, where 0 is entirely the original color and 1 is entirely white (`lighten_color()`) or black (`darken_color()`).

## Examples

    blue <- "#0e6ba8"
    blue_light <- lighten_color(blue, strength = 0.33)
    blue_dark <- darken_color(blue, strength = 0.33)

    if (requireNamespace("scales", quietly = TRUE)) {
      scales::show_col(c(blue_light, blue, blue_dark))
    }